#

include(`dict.h')
include(`KERcalls.h')

/*
 *       SCCS File Type - Emulator Source File
 *
 *       What identification string
 */
static char *_S_K08	"@(#)EM_K08.c	3.1";
	/****************************************************************/
	/*
	 *      K_get_segment_status
	 */

/*
 *      K_get_segment_status (
 *          1   segSeid,  : seid           : long   (* segment SEID       *)
 *          2   segDes,   : seg_des        : int    (* segment designator *)
 *          3  &status    : seg_stat_block : struct (* status result      *)
 *              )
 */

K_get_segment_status( PsegSeid, PsegDes, PstatusP )
	seid                    PsegSeid;
	seg_des                 PsegDes;
	seg_stat_block          *PstatusP;
{
	K_err_num       ex;

	struct  {       /* Kgetss_param */
			seid            s_seid; /* const */
			seg_des         seg;    /* const */
			/* vars */
			seg_stat_block  vstatus;
		}pb;


	pb.s_seid = PsegSeid;
	pb.seg    = PsegDes;

	ex = EMT08(&pb);

	st_copy(&pb.vstatus, PstatusP, sizeof(seg_stat_block) );

	return( ex );
}


